/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package bigbank.webclient.client;

import org.osoa.sca.CompositeContext;
import org.osoa.sca.CurrentCompositeContext;
import org.osoa.sca.SCA;

import bigbank.webclient.services.profile.LoginService;

public class TestLoginService extends SCA {

    @Override
    public void start() {
    }

    @Override
    public void stop() {
    }

    public static void main(String[] args) throws Exception {

        CompositeContext moduleContext = CurrentCompositeContext.getContext();
        LoginService loginService = moduleContext.locateService(LoginService.class, "LoginServiceComponent");

        if (loginService.login("test", "password") == LoginService.SUCCESS) {
            System.out.println("Success");
        } else {
            System.out.println("Failure");
        }
    }
}
